Subject: RE: gdb errors with b17.1
From: [email-masked] (Bill Tutt)

18 Apr 1997 20:40:27 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: "'R. Britt Freund'" <[email-masked]>, [email-masked]
X-Priority: 3
X-Mailer: Internet Mail Service (5.0.1458.14)
Original-Sender: [email-masked]

The output from gdb seems fairly normal.
Its ok to ignore the messages from GDB.
All they say is that they couldn't find debug information for the DLL's
listed.
Which is ok.
The only time this causes minor annoyances is when your program crashes
inside of some DLL that GDB doesn't have debugging symbols for
is that you don't know which function it crashed inside of.

To make the messages go away, install the symbol files for SP2 that you
can get from:
http://www.microsoft.com/kb/softlib/mslfiles/NT4SSP2I.EXE

Here are the install instructions:
Download Symbols only if you need to debug your Windows NT 4.0 Service
Pack 2 installation. Download the non-Symbols files if you want to
install Windows NT 4.0 Service Pack 2. NOTE: To extract the Symbols,
copy the file to a folder on your hard disk and issue the command:
(filename).EXE -d (path) (12540281 bytes, published 01/17/97 ) 

Bill Tutt
[email-masked]
Speaking for myself. I'm not in PR, or support.

> -----Original Message-----
> From:	R. Britt Freund [SMTP:[email-masked]]
> Sent:	Friday, April 18, 1997 11:53 AM
> To:	[email-masked]
> Subject:	gdb errors with b17.1
> 
> Thanks in advance for your help...
> 
> I am trying to get the Cygnus b17.1 all.tar.gz distribution to work
> correctly on Windows NT Workstation 4.0 with service pack #2.  I am a
> professor of OR at the University of Texas at Austin and I would
> dearly
> like to use the GNU compiler to write some optimization programs for
> my
> research.  I am a decent coder (not great) but I am not an expert at
> the
> intricacies of compilers.  I simply use C++ to solve some relatively
> specific optimization problems.  I believe I have installed the
> distribution correctly (ie. relatively complex programs are compiling
> fine)
> but I keep on running into problems using the GNU gdb debugger.  To
> ensure
> that some "strangeness" to my coding isn't the problem, I have written
> a
> simple hello, world program, compiled it with the debugging options
> on, and
> then attempted to debug it.  A transcript follows:
> 
> ********** a very simple program **********
> /Temp [21] cat hello.cpp
> // hello.cpp  (-*- C++ -*-)
> 
> #include <iostream.h>
> 
> main()
> {
>   cout << "Hello, world!\n";
> }
> 
> ********** that compiles without complaint **********
> /Temp [22] gcc -o hello hello.cpp -lstdc++ -g
> 
> ********** but doesn't seem to like gdb **********
> /Temp [23] gdb hello.exe
> GNU gdb 4.16.1
> Copyright 1996 Free Software Foundation, Inc.
> GDB is free software, covered by the GNU General Public License, and
> you
> are
> welcome to change it and/or distribute copies of it under certain
> conditions.
> Type "show copying" to see the conditions.
> There is absolutely no warranty for GDB.  Type "show warranty" for
> details.
> This GDB was configured as "i386-cygwin32"...
> (gdb) list
> 1       // hello.cpp  (-*- C++ -*-)
> 2
> 3       #include <iostream.h>
> 4
> 5       main()
> 6       {
> 7         cout << "Hello, world!\n";
> 8       }
> (gdb) b 7
> Breakpoint 1 at 0x40102c: file hello.cpp, line 7.
> (gdb) run
> Starting program: /Temp/hello.exe
> 10000000:/Cygnus/H-i386-cygwin32/bin/cygwin.dll
> 
> [failed reading symbols from DLL]
> "/Mount/C/WINNT/system32/kernel32.dll": error reading line numbers
> 
> 
> [failed reading symbols from DLL]
> "/Mount/C/WINNT/system32/advapi32.dll": error reading line numbers
> 
> 77e70000:/Mount/C/WINNT/system32/USER32.dll
> 77ed0000:/Mount/C/WINNT/system32/GDI32.dll
> 77e20000:/Mount/C/WINNT/system32/RPCRT4.dll
> 776d0000:/Mount/C/WINNT/System32/wsock32.dll
> 
> [failed reading symbols from DLL]
> "/Mount/C/WINNT/System32/WS2_32.dll": error reading line numbers
> 
> 779f0000:/Mount/C/WINNT/system32/MSVCRT.dll
> 
> [failed reading symbols from DLL]
> "/Mount/C/WINNT/System32/WS2HELP.dll": error reading line numbers
> 
> 77e10000:/Mount/C/WINNT/System32/rpcltc1.dll
> 
> Breakpoint 1, main () at hello.cpp:7
> 7         cout << "Hello, world!\n";
> 
> 
> These DLL read/line-number errors crop up under every condition I can
> try
> (ie. command.com, bash, emacs lisp file) and I don't know enough to
> track
> down the problem.  I believe I have installed everything correctly.
> My
> system drive is C: (ie. C:\WINNT) and all of my GNU stuff in on drive
> E:
> (ie. E:\Cygnus, E:\GStools, E:\Emacs,...).  I also believe I have set
> the
> environmental variables correctly:
> 
> GCC_EXEC_PREFIX=E:\Cygnus\H-i386-cygwin32\lib\gcc-lib\
> Path=.;C:\WINNT\system32;C:\WINNT;E:\TeXmf\miktex\bin;E:\Emacs-19.34\b
> in;E:\
> GnuServ;E:\Emacs-19.34\ispell4\exe;E:\GnuPlot;E:\Cygnus\H-i386-cygwin3
> 2\bin;
> E:\Bin;E:\TeXmf\dviwin29\bin;E:\GSTools\GSView
> 
> E:\Bin\sh.exe does exist, and I believe I have mounted things ok:
> 
> /Temp [24] mount
> Device           Directory           Type        Flags
> \\.\tape1:       /dev/st1            native      no-mixed,text!=binary
> \\.\tape0:       /dev/st0            native      no-mixed,text!=binary
> \\.\b:           /dev/fd1            native      no-mixed,text!=binary
> \\.\a:           /dev/fd0            native      no-mixed,text!=binary
> d:               /Mount/D            native      no-mixed,text!=binary
> c:               /Mount/C            native      no-mixed,text!=binary
> e:               /                   native      no-mixed,text!=binary
> 
> I am at a complete loss as to where to go from here....  The last
> thing I
> want to do is purchase a Microsoft compiler, but I may be forced to
> since I
> can't spend much more time on this...  Do you have any suggestions at
> all? 
> It seems like this is a simple problem and that I am simply screwing
> up
> somewhere...  Please help if you can.
> 
> Thanks again,
> [email-masked]
> 
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".